package com.koobietech.eas.controller;


import com.koobietech.eas.common.pojo.JwtUserDto;
import com.koobietech.eas.common.result.JsonResult;
import com.koobietech.eas.dao.Pojo.AdminPojo;
import com.koobietech.eas.dao.dto.LoginToken;
import com.koobietech.eas.service.AdminLoginService;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;

@Tag(name = "登陆模块")
@RestController
public class AdminLoginController {
    @Resource
    private AdminLoginService adminLoginService;


    @PostMapping("/adminLogin")
    @Operation(summary = "管理员登录",  description = "用户名和密码为请求载荷，若登录成功，返回两token")
    public JsonResult adminLogin(@RequestBody AdminPojo adminPojo){

        LoginToken result = adminLoginService.adminLogin(adminPojo);

        return JsonResult.data(result);
    }

    @PostMapping("/refreshToken")
    @Operation(summary = "刷新token",  description = "当token过期，在请求头中携带refresh token，若刷新成功，返回新的token和refresh token")
    public JsonResult refreshToken(@RequestHeader("Authorization") String refreshToken) {
        // 返回新的token和refresh token
        return JsonResult.data(adminLoginService.refreshToken(refreshToken));
    }


}
